
Foreman - Feature #3648

RFE: API(?) call for Foreman/Foreman-Proxy to write DNS records for all current Hosts

11/14/2013 02:30 PM - Mike Belangia

Status: New   

Priority: Normal   

Assignee:    

Category: DNS   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Given a situation where a new DNS server is added to a Smart Proxy or zone information is lost, it would be beneficial to have a

mechanism to have Foreman update it's managed DNS servers with entries for all current hosts.

Related issues:

Related to Foreman - Feature #2799: Ability to repush DHCP settings Duplicate 07/17/2013

Related to Foreman - Tracker #5409: DNS Proxy Improvements New

History

#1 - 11/14/2013 02:33 PM - Dominic Cleal

- Related to Feature #2799: Ability to repush DHCP settings added

#2 - 04/23/2014 02:35 PM - Stephen Benjamin

- Related to Tracker #5409: DNS Proxy Improvements added

#3 - 09/14/2015 10:11 AM - Dominic Cleal

- Category set to DNS

A related feature has now been implemented for Foreman 1.10 via ticket #2267.  A new "Rebuild Config" option is available from the host list's Select

Action menu, which includes DNS record rebuilds.

There's no way at the moment to rebuild specifically records from one DNS server, but this may provide a useful workaround by searching for hosts

from a particular domain.
